Bullet Collision Detection & Physics Library: poly34.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
poly34.cpp File Reference
`#include <math.h>`
`#include "poly34.h"`
Include dependency graph for poly34.cpp:

Go to the source code of this file.

## Macros
#define | TwoPi 6.28318530717958648
#define | SWAP(a, b)
#define | F5(t) (((((t + a) * t + b) * t + c) * t + d) * t + e)

## Functions
static btScalar | _root3 (btScalar x)
btScalar | root3 (btScalar x)
int | SolveP2 (btScalar *x, btScalar a, btScalar b)
int | SolveP3 (btScalar *x, btScalar a, btScalar b, btScalar c)
void | CSqrt (btScalar x, btScalar y, btScalar &a, btScalar &b)
int | SolveP4Bi (btScalar *x, btScalar b, btScalar d)
static void | dblSort3 (btScalar &a, btScalar &b, btScalar &c)
int | SolveP4De (btScalar *x, btScalar b, btScalar c, btScalar d)
btScalar | N4Step (btScalar x, btScalar a, btScalar b, btScalar c, btScalar d)
int | SolveP4 (btScalar *x, btScalar a, btScalar b, btScalar c, btScalar d)
btScalar | SolveP5_1 (btScalar a, btScalar b, btScalar c, btScalar d, btScalar e)
int | SolveP5 (btScalar *x, btScalar a, btScalar b, btScalar c, btScalar d, btScalar e)

## Variables
const btScalar | eps = SIMD_EPSILON

## Macro Definition Documentation

## ◆ F5

#define F5 | ( |  | t | ) | (((((t + a) * t + b) * t + c) * t + d) * t + e)

Definition at line 339 of file poly34.cpp.

## ◆ SWAP

#define SWAP | ( |  | a,
|  |  | b
| ) |  |

Value:
{ \
t = b; \
b = a; \
a = t; \
}

Definition at line 189 of file poly34.cpp.

## ◆ TwoPi

#define TwoPi 6.28318530717958648

Definition at line 10 of file poly34.cpp.

## Function Documentation

## ◆ _root3()

static btScalar _root3 | ( | btScalar | x | ) |
| inlinestatic

Definition at line 16 of file poly34.cpp.

## ◆ CSqrt()

void CSqrt | ( | btScalar | x,
|  | btScalar | y,
|  | btScalar & | a,
|  | btScalar & | b
| ) |  |

Definition at line 119 of file poly34.cpp.

## ◆ dblSort3()

static void dblSort3 | ( | btScalar & | a,
|  | btScalar & | b,
|  | btScalar & | c
| ) |  |
| static

Definition at line 195 of file poly34.cpp.

## ◆ N4Step()

btScalar N4Step | ( | btScalar | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d
| ) |  |

Definition at line 287 of file poly34.cpp.

## ◆ root3()

btScalar root3 | ( | btScalar | x | ) |
| inline

Definition at line 39 of file poly34.cpp.

## ◆ SolveP2()

int SolveP2 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b
| ) |  |

Definition at line 52 of file poly34.cpp.

## ◆ SolveP3()

int SolveP3 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c
| ) |  |

Definition at line 71 of file poly34.cpp.

## ◆ SolveP4()

int SolveP4 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d
| ) |  |

Definition at line 300 of file poly34.cpp.

## ◆ SolveP4Bi()

int SolveP4Bi | ( | btScalar * | x,
|  | btScalar | b,
|  | btScalar | d
| ) |  |

Definition at line 143 of file poly34.cpp.

## ◆ SolveP4De()

int SolveP4De | ( | btScalar * | x,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d
| ) |  |

Definition at line 208 of file poly34.cpp.

## ◆ SolveP5()

int SolveP5 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d,
|  | btScalar | e
| ) |  |

Definition at line 441 of file poly34.cpp.

## ◆ SolveP5_1()

btScalar SolveP5_1 | ( | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d,
|  | btScalar | e
| ) |  |

Definition at line 341 of file poly34.cpp.

## Variable Documentation

## ◆ eps

const btScalar eps = SIMD_EPSILON

Definition at line 11 of file poly34.cpp.